Update domains for Apple Pay | Moov Documentation

Update domains for Apple Pay

Add or remove domains to be registered with Apple Pay.

Any domains that will be used to accept payments must first be verified with Apple.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/apple-pay.write scope.

PATCH

/accounts/{accountID}/apple-pay/domains

Ask

curl -X PATCH "https://api.moov.io/accounts/{accountID}/apple-pay/domains" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.04.00"

Ask

mc, _ := moov.NewClient()

var accountID string

addDomains := []string{"pay.classbooker.dev"}
removeDomains := []string{"checkout.classbooker.dev"}

mc.UpdateApplePayDomain(ctx, accountID,
  moov.PatchApplyPayDomains{
    AddDomains:    addDomains,
    RemoveDomains: removeDomains,
  })

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.applePay.updateMerchantDomains({
    accountID: "34b1c132-91d4-4676-9864-87e1d961d56d",
    updateApplePayMerchantDomains: {
      addDomains: ["pay.classbooker.dev"],
      removeDomains: ["checkout.classbooker.dev"],
    },
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$updateApplePayMerchantDomains = new Components\UpdateApplePayMerchantDomains(
    addDomains: [
        'pay.classbooker.dev',
    ],
    removeDomains: [
        'checkout.classbooker.dev',
    ],
);

$response = $sdk->applePay->updateDomains(
    accountID: '34b1c132-91d4-4676-9864-87e1d961d56d',
    updateApplePayMerchantDomains: $updateApplePayMerchantDomains
);

if ($response->statusCode === 200) {
    // handle response
}

Ask

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.components.UpdateApplePayMerchantDomains;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.operations.UpdateApplePayMerchantDomainsResponse;
import java.lang.Exception;
import java.util.List;

public class Application {

public static void main(String[] args) throws GenericError, Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

UpdateApplePayMerchantDomainsResponse res = sdk.applePay().updateMerchantDomains()
                .accountID("34b1c132-91d4-4676-9864-87e1d961d56d")
                .updateApplePayMerchantDomains(UpdateApplePayMerchantDomains.builder()
                    .addDomains(List.of(
                        "pay.classbooker.dev"))
                    .removeDomains(List.of(
                        "checkout.classbooker.dev"))
                    .build())
                .call();

// handle response
    }
}

Ask

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.apple_pay.update_merchant_domains(account_id="34b1c132-91d4-4676-9864-87e1d961d56d", add_domains=[
        "pay.classbooker.dev",
    ], remove_domains=[
        "checkout.classbooker.dev",
    ])

# Handle response
    print(res)

Ask

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.apple_pay.update_merchant_domains(account_id: '34b1c132-91d4-4676-9864-87e1d961d56d', update_apple_pay_merchant_domains: Models::Components::UpdateApplePayMerchantDomains.new(
  add_domains: [
    'pay.classbooker.dev',
  ],
  remove_domains: [
    'checkout.classbooker.dev',
  ]
))

if res.status_code == 200
  # handle response
end

Ask

using Moov.Sdk;
using Moov.Sdk.Models.Components;
using System.Collections.Generic;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.ApplePay.UpdateMerchantDomainsAsync(
    accountID: "34b1c132-91d4-4676-9864-87e1d961d56d",
    body: new UpdateApplePayMerchantDomains() {
        AddDomains = new List<string>() {
            "pay.classbooker.dev",
        },
        RemoveDomains = new List<string>() {
            "checkout.classbooker.dev",
        },
    }
);

// handle response

The request completed successfully, but there is no content to return.

Response headers

A unique identifier used to trace requests.

The server could not understand the request due to invalid syntax.

Response headers

A unique identifier used to trace requests.

The request contained missing or expired authentication.

Response headers

A unique identifier used to trace requests.

The user is not authorized to make the request.

Response headers

A unique identifier used to trace requests.

The requested resource was not found.

Response headers

A unique identifier used to trace requests.

Apple Pay domains are already registered for this account.

Response headers

A unique identifier used to trace requests.

The requested domains were not verified.

Response headers

A unique identifier used to trace requests.

Request was refused due to rate limiting.

Response headers

A unique identifier used to trace requests.

The request failed due to an unexpected error.

Response headers

A unique identifier used to trace requests.

The request failed because a downstream service failed to respond.

Response headers

A unique identifier used to trace requests.

Set this header to v2026.04.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible values:

v2026.04.00

ID of the Moov account representing the merchant.

A unique list of fully-qualified, top-level or sub-domain names to add.

A unique list of fully-qualified, top-level or sub-domain names to remove.